Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.view
Class DefaultViewFactory.EllipseView

    java.lang.Object
      jpicedt.graphic.view.AbstractView
          jpicedt.graphic.view.DefaultViewFactory.LeafElementView
              jpicedt.graphic.view.DefaultViewFactory.EllipseView

All Implemented Interfaces:
  View, ViewConstants

Direct Known Subclasses:
  EepicViewFactory.EllipseView, LatexViewFactory.EllipseView

Enclosing class:
  DefaultViewFactory

public class DefaultViewFactory.EllipseView
extends DefaultViewFactory.LeafElementView

a View for rendering ellipses defined by a parallelogram

Field Summary
`protected Arrow` | `arrowEnd`
`protected PicPoint` | `arrowEndDir`
`protected Arrow` | `arrowStart`
`protected PicPoint` | `arrowStartDir`
`protected Stroke` | `arrowStroke`
`protected PicPoint` | `ptAngleEnd`
`protected PicPoint` | `ptAngleStart`

Fields inherited from class jpicedt.graphic.view.DefaultViewFactory.LeafElementView
`interiorPaint, lineWidth, outlinePaint, outlineStroke, overStrikeWidth, shadowBounds, shape`

Fields inherited from class jpicedt.graphic.view.AbstractView
`bounds, element, highlighter`

Fields inherited from interface jpicedt.graphic.view.ViewConstants
`BARBELL_SIZE, CLICK_DISTANCE`

Constructor Summary
`DefaultViewFactory.EllipseView(PicEllipse ellipse)` construct a new View for the given ellipse

Method Summary
`void` | `paint(Graphics2D g, Rectangle2D a)` Render the View to the given graphic context.
`protected void` | `syncShape()` Synchronize the "shape" variable with the model

Methods inherited from class jpicedt.graphic.view.DefaultViewFactory.LeafElementView
`changedUpdate, getViewFactory, hitTest, syncAttributes, syncBounds`

Methods inherited from class jpicedt.graphic.view.AbstractView
`getBounds, getContainer, getDrawing, getElement, getGraphics, getHighlighter, getParentView, hitTest, paintHighlighter, repaint, setElement, setHighlighter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### arrowStroke

    protected Stroke arrowStroke

### arrowStart

    protected Arrow arrowStart

### arrowEnd

    protected Arrow arrowEnd

### arrowStartDir

    protected PicPoint arrowStartDir

### arrowEndDir

    protected PicPoint arrowEndDir

### ptAngleEnd

    protected PicPoint ptAngleEnd

### ptAngleStart

    protected PicPoint ptAngleStart

Constructor Detail

### DefaultViewFactory.EllipseView

    public DefaultViewFactory.EllipseView(PicEllipse ellipse)

  construct a new View for the given ellipse

Method Detail

### syncShape

    protected void syncShape()

  Synchronize the "shape" variable with the model

  Overrides:
    `syncShape` in class `DefaultViewFactory.LeafElementView`

### paint

    public void paint(Graphics2D g,
                      Rectangle2D a)

  Render the View to the given graphic context. This implementation render the interior first, then the outline.

  Specified by:
    `paint` in interface `View`
  Overrides:
    `paint` in class `DefaultViewFactory.LeafElementView`
  Parameters:
    `a` - the current graphic clip

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org